#
# spec file for package bonnie++
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bonnie++
Version:        1.97
Release:        8.6
Summary:        A Bonnie-Like File System Benchmark
License:        MIT
Group:          System/Benchmark
Url:            http://www.coker.com.au/bonnie++/
Source:         http://www.coker.com.au/bonnie++/experimental/%{name}-%{version}.tgz
BuildRequires:  gcc-c++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Bonnie++ is a benchmark suite aimed at performing a number of simple
hard drive and file system performance tests.

%prep
# match the upstream tarball, there's no diff against 1.97
%setup -q -n bonnie++-1.97.1

%build
make clean %{?_smp_mflags}
make MORECFLAGS="%{optflags}" %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_prefix}/bin
%{_bindir}/install -c bonnie++ zcav %{buildroot}%{_prefix}/bin
%{_bindir}/install -c bon_csv2html bon_csv2txt %{buildroot}%{_prefix}/bin
mkdir -p %{buildroot}%{_mandir}/man{1,8}
%{_bindir}/install -c -m 644 bon_csv2html.1 bon_csv2txt.1 %{buildroot}%{_mandir}/man1
%{_bindir}/install -c -m 644 bonnie++.8 zcav.8 %{buildroot}%{_mandir}/man8

%files
%defattr(-,root,root)
%doc readme.html
%{_bindir}/bonnie++
%{_bindir}/zcav
%{_bindir}/bon_csv2html
%{_bindir}/bon_csv2txt
%{_mandir}/man8/bonnie++.8.gz
%{_mandir}/man8/zcav.8.gz
%{_mandir}/man1/bon_csv2html.1.gz
%{_mandir}/man1/bon_csv2txt.1.gz

%changelog
* Fri Oct 17 2014 dsterba@suse.cz
- replace tarball with the upstream version
* Thu Jul 31 2014 alarrosa@suse.com
- Two small fixes to the spec file. Sources now is an url to
  the upstream package and removed a provides statement which is
  not needed since it's implicit (both noticed by dimstar)
* Wed Jul 30 2014 dsterba@suse.cz
- upgraded source to version 1.97
  * fixed a bunch of bugs including bad CSV output.
* Wed Oct 12 2011 tabraham@novell.com
- upgraded source to version 1.96
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Wed Feb 11 2009 xxiao@suse.de
- fix bnc#442857 with right C++ delete
* Mon Feb  9 2009 yxu@suse.de
- upgraded source to version 1.03d, bnc#414150
* Mon Dec  3 2007 ro@suse.de
- fix build with gcc-4.3
* Fri May 26 2006 schwab@suse.de
- Use RPM_OPT_FLAGS.
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct  5 2005 dmueller@suse.de
- add norootforbuild
* Tue Dec 18 2001 ro@suse.de
- added <gpp,libgpp> to neededforbuild
- cleaned up install locations
* Tue Dec 18 2001 ories@suse.de
- initial package
- replaced getc/putc with getc_unlocked/putc_unlocked
